class com.airtightinteractive.apps.viewers.simpleViewer.RolloverButton
{
   var mClip_mc;
   var mHit_mc;
   var mBtn_mc;
   var mClickShift;
   var mTweenLen;
   var mHideOnRollOut;
   var mEnabled;
   var mFadeTwn;
   static var sFlashAlpha = 60;
   static var sRollOutAlpha = 0;
   function RolloverButton(target)
   {
      this.mClip_mc = target;
      this.mClip_mc.onRollOver = mx.utils.Delegate.create(this,this.onRollOver);
      this.mClip_mc.onRollOut = mx.utils.Delegate.create(this,this.onRollOut);
      this.mClip_mc.onPress = mx.utils.Delegate.create(this,this.onPress);
      this.mClip_mc.onRelease = mx.utils.Delegate.create(this,this.onRelease);
      this.mClip_mc.onReleaseOutside = mx.utils.Delegate.create(this,this.onReleaseOutside);
      this.mHit_mc = this.mClip_mc.mcHitArea;
      this.mBtn_mc = this.mClip_mc.mcArrow;
      this.mClip_mc.useHandCursor = false;
      this.mClip_mc.hitArea = this.mHit_mc;
      this.mHit_mc._visible = false;
      this.mClickShift = 0;
      this.mTweenLen = 5;
      this.mHideOnRollOut = true;
      this.mEnabled = true;
      this.mFadeTwn = new mx.transitions.Tween(this.mClip_mc,"_alpha",null,0,0,this.mTweenLen,false);
   }
   function onRollOver()
   {
      if(!this.mEnabled)
      {
         return undefined;
      }
      if(this.mHideOnRollOut)
      {
         this.mFadeTwn.continueTo(100,this.mTweenLen);
      }
      else
      {
         this.doFlash();
      }
   }
   function onRollOut()
   {
      if(!this.mEnabled)
      {
         return undefined;
      }
      if(this.mHideOnRollOut)
      {
         this.mFadeTwn.continueTo(com.airtightinteractive.apps.viewers.simpleViewer.RolloverButton.sRollOutAlpha,this.mTweenLen);
      }
   }
   function doFlash()
   {
      this.mFadeTwn.continueTo(com.airtightinteractive.apps.viewers.simpleViewer.RolloverButton.sFlashAlpha,1);
      this.mFadeTwn.fforward();
      this.mFadeTwn.continueTo(100,10);
   }
   function onPress()
   {
      if(!this.mEnabled)
      {
         return undefined;
      }
      this.mClip_mc._x += this.mClickShift;
      this.mClip_mc._y += this.mClickShift;
   }
   function onRelease()
   {
      if(!this.mEnabled)
      {
         return undefined;
      }
      this.mClip_mc._x -= this.mClickShift;
      this.mClip_mc._y -= this.mClickShift;
      this.doAction();
   }
   function onReleaseOutside()
   {
      if(!this.mEnabled)
      {
         return undefined;
      }
      this.mClip_mc._x -= this.mClickShift;
      this.mClip_mc._y -= this.mClickShift;
   }
   function doAction()
   {
   }
   function setPosn(x, y)
   {
      this.mClip_mc._x = x;
      this.mClip_mc._y = y;
   }
   function setBtnPosn(x, y)
   {
      this.mBtn_mc._x = Math.round(x);
      this.mBtn_mc._y = Math.round(y);
   }
   function setBtnSize(w, h)
   {
      this.mBtn_mc._height = Math.round(h);
      this.mBtn_mc._width = Math.round(w);
   }
   function setHitPosn(x, y)
   {
      this.mHit_mc._x = Math.round(x);
      this.mHit_mc._y = Math.round(y);
   }
   function setHitSize(w, h)
   {
      this.mHit_mc._height = Math.round(h);
      this.mHit_mc._width = Math.round(w);
   }
   function get width()
   {
      return this.mClip_mc._width;
   }
   function get height()
   {
      return this.mClip_mc._height;
   }
   function get btnWidth()
   {
      return this.mBtn_mc._width;
   }
   function get btnHeight()
   {
      return this.mBtn_mc._height;
   }
   function set clickShift(a)
   {
      this.mClickShift = a;
   }
   function set visible(vis)
   {
      this.mClip_mc._visible = vis;
   }
   function set hideOnRollOut(b)
   {
      this.mHideOnRollOut = b;
      if(!b)
      {
         this.mFadeTwn.continueTo(100,this.mTweenLen);
      }
   }
   function setRGB(c)
   {
      var _loc2_ = new Color(this.mBtn_mc);
      _loc2_.setRGB(c);
   }
}
